## systemd-tui

`systemd-tui` 는 하모니카 OS 에서 시스템의 서비스를 관리하는 TUI 도구입니다. <br>

This tool for managing systemd units in terminal.


### 프로그램 실행 화면
![screenshot](doc/screenshot.png)
 

### Installation

From HamoniKR APT

```
sudo apt install systemd-tui
```

### Usage

* systemd-tui 는 아래와 같이 `root 권한으로 실행`되어야 서비스를 관리할 수
  있습니다. 
* 터미널에서 아래 명령어를 실행하면 프로그램이 구동됩니다.

```
sudo systemd-tui
```
```
프로그램에서 표시되는 서비스 정보는 아래와 같습니다.

[x] - enabled unit.  [ ] - disabled unit
[s] - static unit.   -m- - masked unit

이동 키는 아래와 같습니다. 검색은 / 키를 이용하세요.

Up/k   - move cursor up. Down/j   - move cursor down.
PgUp/b - move page up.   PgDown/f - move page down.
/ - for search.\n\

서비스 관리 키는 아래와 같습니다.

r     - reload/update.   q - exit.\n\
Space - enable/disable.  s - start/stop unit.\n\
```

### Dependencies

Package dependencies:
  * libncurses5
  * libsystemd0 ( >= 222 )
  
Build dependencies:
  * pkg-config
  * libncurses5-dev
  * libsystemd-dev ( >= 222 )

### Build

자신의 환경에서 데비안 패키지를 제작하려면 다운로드 받은 소스코드 폴더에서 아래 명령을 입력하세요.

```
./build.sh
```

### Changelog

  * v1.1 - Released for HamoniKR 4.0 JIN
  * v1.0 - Released for HamoniKR 3.0 SUN


### License
GNU General Public License

### upstream
이 프로그램은 [chkservice](https://github.com/linuxenko/chkservice) 를 포크하여 하모니카 OS에 맞게 수정 후 배포하고 있습니다.
